[weboob] Modules deprecation state

Vincent A dev at indigo.re
Sun Jan 21 14:57:28 CET 2018


There are 250 modules.

Of which, 93 modules are already known to be compatible with Python 3!
grep -v '^#' tools/py3-compatible.modules | wc -l

They can be used right away with weboob when running it in Python 3 
mode, for example:
python3 $(which radioob) -b somafm

However, 36 modules are still not even using Browser1:
git grep weboob.deprecated.browser modules | awk -F/ '{print $2}' | uniq
apivie
arretsurimages
attilasub
aum
btmon
canaltp
cappedtv
chronopost
ebonics
ehentai
europarl
fourchan
gazelle
gdcvault
gdfsuez
geolocip
izneo
jacquieetmichel
jvmalin
leclercmobile
nettokom
nihonnooto
nolifetv
nova
opacwebaloes
opensubtitles
orange
phpbb
podnapisi
redmine
sfr
trictractv
tvsubtitles
unsee
ups
voyagessncf

Modules that still use Browser1 by the weboob 1.4 release - planned in 
about 3 months - will be dropped. If you use one of those modules 
regularly, help us by porting it!
If you aren't a developer or don't know where to start, don't worry, 
it's not that complicated. Simply mail this list to ask how, or join 
ircs://chat.freenode.net:6697/#weboob

The rest (121 modules) use Browser2 but are probably not yet compatible 
with Python 3. If you would like to contribute, you can join the same 
places to ask for help.



More information about the weboob mailing list